
#ifndef __ADCCTRL_H__
#define	__ADCCTRL_H__
 
#include "config.h"

#ifndef MAX_ADC1_CHANNEL_NUM			// 最大支持通道个数
#define MAX_ADC1_CHANNEL_NUM	0
#endif

#ifndef MAX_ADC2_CHANNEL_NUM			// 最大支持通道个数
#define MAX_ADC2_CHANNEL_NUM	0
#endif

#ifndef MAX_ADC3_CHANNEL_NUM			// 最大支持通道个数
#define MAX_ADC3_CHANNEL_NUM	0
#endif


#if (MAX_ADC1_CHANNEL_NUM > 0)
void InitADC1(void);
s32 GetADC1Value(int channelIdx, int flev);			// 读取ADC1返回值
void ADC1IntProc(void);								// ADC中断响应函数

#endif

#if (MAX_ADC2_CHANNEL_NUM > 0)

void InitADC2(void);
s32 GetADC2Value(int channelIdx, int lev);			// 读取ADC2返回值
void ADC2IntProc(void);								// ADC中断响应函数

#endif

#if (MAX_ADC3_CHANNEL_NUM > 0)

void InitADC3(void);
s32 GetADC3Value(int channelIdx, int lev);			// 读取ADC3返回值
void ADC3IntProc(void);								// ADC中断响应函数

#endif

#endif /* __ADC_H__ */

